List Notifications - m3ter Documentation
List Notifications
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/notifications/configurations \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/notifications/configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/notifications/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Status Codes
Sample Response
{
"data": [
{
"id": "<string>",
"name": "Commitment has under 10% remaining",
"description": "Commitment amount fell below 10%",
"code": "commitment_under_10_percent",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"active": true,
"alwaysFireEvent": false,
"eventName": "configuration.commitment.updated",
"calculation": "(new.amountSpent >= ((new.amount*90)/100)) \nAND ((old.amountSpent <= ((old.amount*90)/100)) OR (old.amountSpent == null))"
}
],
"nextToken": "<string>"
}
{
"message": "<string>"
}
Authorization
- Authorization: string (header) required
- m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
Path Parameters
- orgId: string (required) - The unique identifier (UUID) of your Organization, representing your company as a direct customer.
Query Parameters
- pageSize: integer - The maximum number of Notifications to retrieve per page. Required range:
1 <= x <= 100
- nextToken: string - For multi-page retrievals.
- active: boolean - A Boolean flag to retrieve either only active or only inactive Notifications.
- eventName: string - Filters Notifications based on the specified Event type.
- ids: object[] - A list of specific Notification UUIDs to retrieve.
Response (200)
- application/json - Returns the list of Event Notifications.
{
"data": [{}],
"nextToken": "<string>"
}